%define module_name OpenGL-GLU
# BEGIN SourceDeps(oneline):
BuildRequires: libGL-devel libsowing-devel perl(AutoLoader.pm) perl(Devel/CheckOS.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators libGLU-devel

Name: perl-%module_name
Version: 0.03
Release: alt4
Summary: Perl bindings to the OpenGL Utility Library (GLU)
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CH/CHM/%{module_name}-%{version}.tar.gz

%description
This is a stand alone implementation of OpenGL::GLU bindings based
on the implementation of OpenGL.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README examples
%perl_vendor_archlib/O*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.03-alt4
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.03-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.03-alt2.1
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.03-alt1.1
- rebuild with perl 5.28.1

* Tue Dec 25 2018 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- regenerated from template by package builder

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.02-alt2
- rebuild with perl 5.26

* Sat Feb 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

